> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Player Tags

> Get all tags with a given Namespace (optional) from a player profile.



## OpenAPI

````yaml /services/playfab/api-references/rest/server/server.openapi.json post /Server/GetPlayerTags
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Server API
  description: >-
    Provides functionality to allow external (developer-controlled) servers to
    interact with user inventories and data in a trusted manner, and to handle
    matchmaking and client connection orchestration
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Analytics
    description: Analytics APIs
  - name: Authentication
    description: Authentication APIs
  - name: Character Data
    description: Character Data APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Friend List Management
    description: Friend List Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Platform Specific Methods
    description: Platform Specific Methods APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
paths:
  /Server/GetPlayerTags:
    post:
      tags:
        - PlayStream
      summary: Get Player Tags
      description: Get all tags with a given Namespace (optional) from a player profile.
      operationId: GetPlayerTags
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetPlayerTagsRequest'
        description: >-
          This API will return a list of canonical tags which includes both
          namespace and tag's name. If namespace is not provided, the result is
          a list of all canonical tags. TagName can be used for segmentation and
          Namespace is limited to 128 characters.
      responses:
        '200':
          $ref: '#/components/responses/GetPlayerTagsResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SecretKey: []
components:
  schemas:
    GetPlayerTagsRequest:
      description: >-
        This API will return a list of canonical tags which includes both
        namespace and tag's name. If namespace is not provided, the result is a
        list of all canonical tags. TagName can be used for segmentation and
        Namespace is limited to 128 characters.
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        Namespace:
          description: Optional namespace to filter results by
          type: string
        PlayFabId:
          description: >-
            Unique PlayFab assigned ID of the user on whom the operation will be
            performed.
          type: string
      required:
        - PlayFabId
      example:
        PlayFabId: '10931252888739651331'
        Namespace: title.AAA
    GetPlayerTagsResult:
      type: object
      properties:
        PlayFabId:
          description: >-
            Unique PlayFab assigned ID of the user on whom the operation will be
            performed.
          type: string
        Tags:
          description: >-
            Canonical tags (including namespace and tag's name) for the
            requested user
          type: array
          items:
            type: string
      required:
        - PlayFabId
        - Tags
      example:
        PlayFabId: '10931252888739651331'
        Tags:
          - title.AAA.MostKilled
          - title.AAA.MostPlayed
          - title.AAA.MostBanned
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    GetPlayerTagsResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/GetPlayerTagsResult'
            example:
              code: 200
              status: OK
              data:
                PlayFabId: '10931252888739651331'
                Tags:
                  - title.AAA.MostKilled
                  - title.AAA.MostPlayed
                  - title.AAA.MostBanned
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SecretKey:
      type: apiKey
      in: header
      name: X-SecretKey
      description: >-
        This API requires a title secret key, available to title admins, from
        PlayFab Game Manager.

````

## Related topics

- [Get Player Tags](/services/playfab/api-references/rest/client/play-stream/get-player-tags.md)
- [PFSegmentsGetPlayerTagsRequest](/services/playfab/api-references/c/pfsegmentstypes/structs/pfsegmentsgetplayertagsrequest.md)
- [PFSegmentsGetPlayerTagsResult](/services/playfab/api-references/c/pfsegmentstypes/structs/pfsegmentsgetplayertagsresult.md)
- [PFSegmentsServerGetPlayerTagsAsync](/services/playfab/api-references/c/pfsegments/functions/pfsegmentsservergetplayertagsasync.md)
- [PFSegmentsClientGetPlayerTagsAsync](/services/playfab/api-references/c/pfsegments/functions/pfsegmentsclientgetplayertagsasync.md)
